Skip to content

Get payment history

GET
/api/v1/payments/history

Get payment history for the current user with pagination support.

limit
Limit
integer
default: 50
offset
Offset
integer
0

Successful Response

PaymentHistoryResponse

Response for payment history query.

object
total
required
Total
integer
payments
required
Payments
Array<object>
PaymentHistoryItem

Payment history item for a single payment session.

object
id
required
Id
integer
payment_id
required
Payment Id
string
organization_id
required
Organization Id
integer
credit_plan_id
required
Credit Plan Id
integer
credit_plan_count
required
Credit Plan Count
integer
price
required
Any of:
number
required_amount
required
Required Amount
integer
token
required
Any of:
string
recipient
required
Any of:
string
trans_hash
required
Any of:
string
status
required
Status
integer
created_at
required
Created At
string

Bad Request

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string

Organization not found

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string
Example
{
"error": "Organization not found",
"error_code": "organization_not_found"
}

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Internal Server Error

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string